diff '--color=auto' -Naur shadow-4.18.0/etc/pam.d/Makefile.am shadow-4.18.0.new/etc/pam.d/Makefile.am
--- shadow-4.18.0/etc/pam.d/Makefile.am	2025-06-24 22:28:01.048486339 +0200
+++ shadow-4.18.0.new/etc/pam.d/Makefile.am	2025-07-01 23:20:49.018468088 +0200
@@ -3,10 +3,7 @@
 
 pamd_files = \
 	chpasswd \
-	chfn \
-	chsh \
 	groupmems \
-	login \
 	newusers \
 	passwd
 
diff '--color=auto' -Naur shadow-4.18.0/man/cs/Makefile.am shadow-4.18.0.new/man/cs/Makefile.am
--- shadow-4.18.0/man/cs/Makefile.am	2025-06-24 22:28:01.067549217 +0200
+++ shadow-4.18.0.new/man/cs/Makefile.am	2025-07-01 23:20:49.018568797 +0200
@@ -11,17 +11,14 @@
 	man8/groupmod.8 \
 	man8/grpck.8 \
 	man5/gshadow.5 \
-	man8/nologin.8 \
 	man5/passwd.5 \
-	man5/shadow.5 \
-	man1/su.1 \
-	man8/vipw.8
+	man5/shadow.5
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
 endif
 
 EXTRA_DIST = $(man_MANS) \
-	man8/groupmems.8 \
-	man8/logoutd.8
+	man1/id.1 \
+	man8/groupmems.8
 
diff '--color=auto' -Naur shadow-4.18.0/man/da/Makefile.am shadow-4.18.0.new/man/da/Makefile.am
--- shadow-4.18.0/man/da/Makefile.am	2025-06-24 22:28:01.068788081 +0200
+++ shadow-4.18.0.new/man/da/Makefile.am	2025-07-01 23:20:49.018600577 +0200
@@ -3,15 +3,9 @@
 
 # 2012.01.28 - activate manpages with more than 50% translated messages
 man_MANS = \
-	man1/chfn.1 \
 	man8/groupdel.8 \
 	man5/gshadow.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
-	man8/nologin.8 \
-	man1/sg.1 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man1/sg.1
 
 man_nopam = 
 
diff '--color=auto' -Naur shadow-4.18.0/man/de/Makefile.am shadow-4.18.0.new/man/de/Makefile.am
--- shadow-4.18.0/man/de/Makefile.am	2025-06-24 22:28:01.068788081 +0200
+++ shadow-4.18.0.new/man/de/Makefile.am	2025-07-01 23:20:49.018633950 +0200
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -20,12 +18,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -34,13 +28,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/fi/Makefile.am shadow-4.18.0.new/man/fi/Makefile.am
--- shadow-4.18.0/man/fi/Makefile.am	2025-06-24 22:28:01.070453125 +0200
+++ shadow-4.18.0.new/man/fi/Makefile.am	2025-07-01 23:20:49.018668565 +0200
@@ -1,10 +1,7 @@
 
 mandir = @mandir@/fi
 
-man_MANS = \
-	man1/chfn.1 \
-	man1/chsh.1 \
-	man1/su.1
+man_MANS =
 
 # Outdated manpages
 #	passwd.1 (https://bugs.launchpad.net/ubuntu/+bug/384024)
diff '--color=auto' -Naur shadow-4.18.0/man/fr/Makefile.am shadow-4.18.0.new/man/fr/Makefile.am
--- shadow-4.18.0/man/fr/Makefile.am	2025-06-24 22:28:01.070902699 +0200
+++ shadow-4.18.0.new/man/fr/Makefile.am	2025-07-01 23:20:49.018705294 +0200
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -20,12 +18,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -34,13 +28,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/hu/Makefile.am shadow-4.18.0.new/man/hu/Makefile.am
--- shadow-4.18.0/man/hu/Makefile.am	2025-06-24 22:28:01.071453116 +0200
+++ shadow-4.18.0.new/man/hu/Makefile.am	2025-07-01 23:20:49.018734840 +0200
@@ -2,14 +2,10 @@
 mandir = @mandir@/hu
 
 man_MANS = \
-	man1/chsh.1 \
 	man1/gpasswd.1 \
-	man1/login.1 \
-	man1/newgrp.1 \
 	man1/passwd.1 \
 	man5/passwd.5 \
-	man1/sg.1 \
-	man1/su.1
+	man1/sg.1
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/id/Makefile.am shadow-4.18.0.new/man/id/Makefile.am
--- shadow-4.18.0/man/id/Makefile.am	2025-06-24 22:28:01.072453108 +0200
+++ shadow-4.18.0.new/man/id/Makefile.am	2025-07-01 23:20:49.018762943 +0200
@@ -2,8 +2,6 @@
 mandir = @mandir@/id
 
 man_MANS = \
-	man1/chsh.1 \
-	man1/login.1 \
 	man8/useradd.8
 
 EXTRA_DIST = $(man_MANS)
diff '--color=auto' -Naur shadow-4.18.0/man/it/Makefile.am shadow-4.18.0.new/man/it/Makefile.am
--- shadow-4.18.0/man/it/Makefile.am	2025-06-24 22:28:01.073022358 +0200
+++ shadow-4.18.0.new/man/it/Makefile.am	2025-07-01 23:20:49.018795274 +0200
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -20,12 +18,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -34,13 +28,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/ja/Makefile.am shadow-4.18.0.new/man/ja/Makefile.am
--- shadow-4.18.0/man/ja/Makefile.am	2025-06-24 22:28:01.073022358 +0200
+++ shadow-4.18.0.new/man/ja/Makefile.am	2025-07-01 23:20:49.018827875 +0200
@@ -3,9 +3,7 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -16,10 +14,7 @@
 	man8/grpck.8 \
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
@@ -28,13 +23,10 @@
 	man8/pwunconv.8 \
 	man1/sg.1 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/ko/Makefile.am shadow-4.18.0.new/man/ko/Makefile.am
--- shadow-4.18.0/man/ko/Makefile.am	2025-06-24 22:28:01.076453075 +0200
+++ shadow-4.18.0.new/man/ko/Makefile.am	2025-07-01 23:20:49.018856099 +0200
@@ -2,9 +2,6 @@
 mandir = @mandir@/ko
 
 man_MANS = \
-	man1/chfn.1 \
-	man1/chsh.1 \
-	man1/login.1 \
 	man5/passwd.5 \
 	man1/su.1 \
 	man8/vigr.8 \
diff '--color=auto' -Naur shadow-4.18.0/man/Makefile.am shadow-4.18.0.new/man/Makefile.am
--- shadow-4.18.0/man/Makefile.am	2025-06-24 22:28:01.067549217 +0200
+++ shadow-4.18.0.new/man/Makefile.am	2025-07-01 23:20:49.018532409 +0200
@@ -8,10 +8,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -25,12 +23,9 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
+	man8/lastlog.8 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -41,9 +36,7 @@
 	man5/shadow.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
@@ -76,10 +69,8 @@
 
 man_XMANS = \
 	chage.1.xml \
-	chfn.1.xml \
 	chgpasswd.8.xml \
 	chpasswd.8.xml \
-	chsh.1.xml \
 	expiry.1.xml \
 	faillog.5.xml \
 	faillog.8.xml \
@@ -92,12 +83,9 @@
 	grpck.8.xml \
 	gshadow.5.xml \
 	limits.5.xml \
-	login.1.xml \
 	login.access.5.xml \
 	login.defs.5.xml \
-	logoutd.8.xml \
 	newgidmap.1.xml \
-	newgrp.1.xml \
 	newuidmap.1.xml \
 	newusers.8.xml \
 	nologin.8.xml \
@@ -109,14 +97,12 @@
 	shadow.3.xml \
 	shadow.5.xml \
 	sg.1.xml \
-	su.1.xml \
 	suauth.5.xml \
 	subgid.5.xml \
 	subuid.5.xml \
 	useradd.8.xml \
 	userdel.8.xml \
-	usermod.8.xml \
-	vipw.8.xml
+	usermod.8.xml
 
 if ENABLE_LASTLOG
 man_XMANS += lastlog.8.xml
diff '--color=auto' -Naur shadow-4.18.0/man/pl/Makefile.am shadow-4.18.0.new/man/pl/Makefile.am
--- shadow-4.18.0/man/pl/Makefile.am	2025-06-24 22:28:01.081453035 +0200
+++ shadow-4.18.0.new/man/pl/Makefile.am	2025-07-01 23:20:49.018886446 +0200
@@ -4,7 +4,6 @@
 # 2012.01.28 - activate manpages with more than 50% translated messages
 man_MANS = \
 	man1/chage.1 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -14,14 +13,10 @@
 	man8/groupmems.8 \
 	man8/groupmod.8 \
 	man8/grpck.8 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man1/sg.1 \
 	man3/shadow.3 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/ru/Makefile.am shadow-4.18.0.new/man/ru/Makefile.am
--- shadow-4.18.0/man/ru/Makefile.am	2025-06-24 22:28:01.104452846 +0200
+++ shadow-4.18.0.new/man/ru/Makefile.am	2025-07-01 23:20:49.018919478 +0200
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -20,12 +18,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -34,13 +28,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/sv/Makefile.am shadow-4.18.0.new/man/sv/Makefile.am
--- shadow-4.18.0/man/sv/Makefile.am	2025-06-24 22:28:01.104452846 +0200
+++ shadow-4.18.0.new/man/sv/Makefile.am	2025-07-01 23:20:49.018950426 +0200
@@ -3,7 +3,6 @@
 # 2012.01.28 - activate manpages with more than 50% translated messages
 man_MANS = \
 	man1/chage.1 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -14,18 +13,13 @@
 	man8/groupmod.8 \
 	man8/grpck.8 \
 	man5/gshadow.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/suauth.5 \
-	man8/userdel.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/userdel.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/tr/Makefile.am shadow-4.18.0.new/man/tr/Makefile.am
--- shadow-4.18.0/man/tr/Makefile.am	2025-06-24 22:28:01.104452846 +0200
+++ shadow-4.18.0.new/man/tr/Makefile.am	2025-07-01 23:20:49.018978289 +0200
@@ -2,15 +2,12 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/groupadd.8 \
 	man8/groupdel.8 \
 	man8/groupmod.8 \
-	man1/login.1 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man8/useradd.8 \
 	man8/userdel.8 \
 	man8/usermod.8
diff '--color=auto' -Naur shadow-4.18.0/man/uk/Makefile.am shadow-4.18.0.new/man/uk/Makefile.am
--- shadow-4.18.0/man/uk/Makefile.am	2025-06-24 22:28:01.106048641 +0200
+++ shadow-4.18.0.new/man/uk/Makefile.am	2025-07-01 23:20:49.019011541 +0200
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -20,12 +18,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -34,13 +28,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/zh_CN/Makefile.am shadow-4.18.0.new/man/zh_CN/Makefile.am
--- shadow-4.18.0/man/zh_CN/Makefile.am	2025-06-24 22:28:01.106452830 +0200
+++ shadow-4.18.0.new/man/zh_CN/Makefile.am	2025-07-01 23:20:49.019047689 +0200
@@ -3,10 +3,8 @@
 
 man_MANS = \
 	man1/chage.1 \
-	man1/chfn.1 \
 	man8/chgpasswd.8 \
 	man8/chpasswd.8 \
-	man1/chsh.1 \
 	man1/expiry.1 \
 	man5/faillog.5 \
 	man8/faillog.8 \
@@ -20,12 +18,8 @@
 	man8/grpconv.8 \
 	man8/grpunconv.8 \
 	man5/gshadow.5 \
-	man1/login.1 \
 	man5/login.defs.5 \
-	man8/logoutd.8 \
-	man1/newgrp.1 \
 	man8/newusers.8 \
-	man8/nologin.8 \
 	man1/passwd.1 \
 	man5/passwd.5 \
 	man8/pwck.8 \
@@ -34,13 +28,10 @@
 	man1/sg.1 \
 	man3/shadow.3 \
 	man5/shadow.5 \
-	man1/su.1 \
 	man5/suauth.5 \
 	man8/useradd.8 \
 	man8/userdel.8 \
-	man8/usermod.8 \
-	man8/vigr.8 \
-	man8/vipw.8
+	man8/usermod.8
 
 if ENABLE_LASTLOG
 man_MANS += man8/lastlog.8
diff '--color=auto' -Naur shadow-4.18.0/man/zh_TW/Makefile.am shadow-4.18.0.new/man/zh_TW/Makefile.am
--- shadow-4.18.0/man/zh_TW/Makefile.am	2025-06-24 22:28:01.106452830 +0200
+++ shadow-4.18.0.new/man/zh_TW/Makefile.am	2025-07-01 23:20:49.019082776 +0200
@@ -2,15 +2,11 @@
 mandir = @mandir@/zh_TW
 
 man_MANS = \
-	man1/chfn.1 \
-	man1/chsh.1 \
 	man8/chpasswd.8 \
-	man1/newgrp.1 \
 	man8/groupadd.8 \
 	man8/groupdel.8 \
 	man8/groupmod.8 \
 	man5/passwd.5 \
-	man1/su.1 \
 	man8/useradd.8 \
 	man8/userdel.8 \
 	man8/usermod.8
diff '--color=auto' -Naur shadow-4.18.0/src/Makefile.am shadow-4.18.0.new/src/Makefile.am
--- shadow-4.18.0/src/Makefile.am	2025-06-24 22:28:01.128499046 +0200
+++ shadow-4.18.0.new/src/Makefile.am	2025-07-01 23:20:49.019130676 +0200
@@ -3,7 +3,7 @@
 	.indent.pro
 
 ubindir = ${prefix}/bin
-usbindir = ${prefix}/sbin
+usbindir = ${prefix}/bin
 suidperms = 4755
 sgidperms = 2755
 
@@ -26,9 +26,9 @@
 # and installation would be much simpler (just two directories,
 # $prefix/bin and $prefix/sbin, no install-data hacks...)
 
-bin_PROGRAMS   = login
-sbin_PROGRAMS  = nologin
-ubin_PROGRAMS  = faillog chage chfn chsh expiry gpasswd newgrp passwd
+bin_PROGRAMS   =
+sbin_PROGRAMS  =
+ubin_PROGRAMS  = faillog lastlog chage expiry gpasswd newgrp passwd
 if ENABLE_SUBIDS
 ubin_PROGRAMS += newgidmap newuidmap
 endif
@@ -48,22 +48,20 @@
 	grpck \
 	grpconv \
 	grpunconv \
-	logoutd \
 	newusers \
 	pwck \
 	pwconv \
 	pwunconv \
 	useradd \
 	userdel \
-	usermod \
-	vipw
+	usermod
 
 # sulogin from sysvinit
 noinst_PROGRAMS = sulogin
 
 suidusbins     =
 suidbins       =
-suidubins      = chage chfn chsh expiry gpasswd newgrp
+suidubins      = chage expiry gpasswd newgrp
 if WITH_SU
 suidbins      += su
 endif
@@ -135,18 +133,16 @@
 useradd_LDADD  = $(LDADD) $(LIBPAM_SUID) $(LIBAUDIT) $(LIBSELINUX) $(LIBSEMANAGE) $(LIBACL) $(LIBATTR) $(LIBECONF) -ldl
 userdel_LDADD  = $(LDADD) $(LIBPAM_SUID) $(LIBAUDIT) $(LIBSELINUX) $(LIBSEMANAGE) $(LIBECONF) -ldl
 usermod_LDADD  = $(LDADD) $(LIBPAM_SUID) $(LIBAUDIT) $(LIBSELINUX) $(LIBSEMANAGE) $(LIBACL) $(LIBATTR) $(LIBECONF) -ldl
-vipw_LDADD     = $(LDADD) $(LIBAUDIT) $(LIBSELINUX) $(LIBECONF)
 
 install-am: all-am
 	$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-	ln -sf newgrp	$(DESTDIR)$(ubindir)/sg
-	ln -sf vipw	$(DESTDIR)$(usbindir)/vigr
 	set -e; for i in $(suidbins); do \
 		chmod $(suidperms) $(DESTDIR)$(bindir)/$$i; \
 	done
 	set -e; for i in $(suidubins); do \
 		chmod $(suidperms) $(DESTDIR)$(ubindir)/$$i; \
 	done
+	mv -v $(DESTDIR)$(ubindir)/newgrp	$(DESTDIR)$(ubindir)/sg
 	set -e; for i in $(suidusbins); do \
 		chmod $(suidperms) $(DESTDIR)$(usbindir)/$$i; \
 	done
